Bug 562514

Summary: Kernel panic on boot since new grubby (and newly installed kernels)
Product: [Fedora] Fedora Reporter: darrell pfeifer <darrellpf>
Component: grubbyAssignee: Peter Jones <pjones>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: chepioq, leigh123linux, pjones, robatino, zaitcev
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-02 12:52:38 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description darrell pfeifer 2010-02-07 00:56:13 EST
Description of problem:

Installed grubby 7.0.10. Afterwards I installed kernel 2.6.33-0.36.rc7.git0.fc13.

On boot message appears:

Kernel panic - not syncing VFS : Unable to mount root fs on unknown-block(0,0)

I installed 2.6.33-0.40.rc7.git0.fc13 afterwards and received the same message.

I am currently running 2.6.33-0.26.rc6.git1.fc13.x86_64 without problems. Usually if a kernel this late in the rc process works I don't have trouble with newer ones, so I suspect this is due to grubby rather than the kernels.


Version-Release number of selected component (if applicable):

7.0.10

Additional Information

The sizes of all the files in /boot are comparable, particularly the initramfs ones.
Comment 1 leigh scott 2010-02-07 17:15:32 EST
The initrd line is completely missing in grub.conf after updating my kernel today.
Add the initrd line and the new kernel boots up.



http://forums.fedoraforum.org/showthread.php?p=1327634
Comment 2 dominique 2010-02-08 01:08:27 EST
Same problem here with kernel-2.6.33-0.40.rc7.git0.fc13.x86_64, I have the grubby-7.0.10-1.fc13.x86_64 installed and the initramfs-2.6.33-0.40.rc7.git0.fc13.x86_64.img is in my /boot.
On boot I have this message:

Kernel panic-not syncing:VFS: Unable to mount root fs on unknow-block(0,0) 

In my grub.conf I replace root=UUID=... to root=/dev/sd... ,and that work.
Comment 3 Pete Zaitcev 2010-02-11 18:48:12 EST
grubby-7.0.12-1.fc13.x86_64 still fails.
It adds /boot where it should not be, so:

[root@hitlain zaitcev]# more /boot/grub/grub.conf
title Fedora (2.6.33-0.40.rc7.git0.fc13.x86_64)
        root (hd0,0)
        kernel /vmlinuz-2.6.33-0.40.rc7.git0.fc13.x86_64 ro root=/dev/mapper/Vol
Group00-FN selinux=0 SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us rd_p
lytheme=text nomodeset
        initrd /boot/initramfs-2.6.33-0.40.rc7.git0.fc13.x86_64.img
title Fedora (2.6.33-0.27.rc6.git1.fc13.x86_64)
        root (hd0,0)
        kernel /vmlinuz-2.6.33-0.27.rc6.git1.fc13.x86_64 ro root=/dev/mapper/Vol
Group00-FN selinux=0 SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us rd_p
lytheme=text nomodeset
        initrd /initramfs-2.6.33-0.27.rc6.git1.fc13.x86_64.img

The /initramfs-foo works but the newly-added /boot/initramfs-bar does not.
If I remove the "/boot" string, the 2.6.33-0.40.rc7.git0.fc13.x86_64
boots ok (no need to re-run dracut).
Comment 4 Bug Zapper 2010-03-15 10:26:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-02 12:39:43 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping